curl --request GET \
--url https://api.getbuildify.com/{apiVersion}/{apiProvince}/search_profiles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/search_profiles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/search_profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"results\": [\n {\n \"address\": \"45 Saint Clair Avenue West, 1001, Toronto, Ontario, M4V 1K9, Canada\",\n \"listings\": [],\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/d2d7751a-f463-44b3-8cc4-02ed7fcef6e2.png\",\n \"name\": \"Knightstone Capital Management Inc.\",\n \"website\": \"http://www.k-cap.com/\",\n \"path\": \"Builders/zlVMmcdJv3yv3e3VZam3\",\n \"objectID\": \"zlVMmcdJv3yv3e3VZam3\"\n },\n {\n \"address\": \"3389 Steeles Avenue East, 100, Toronto, Ontario, M2H 0A1, Canada\\n\\n\",\n \"listings\": [],\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/f0a21e8c-ba53-4128-8dab-9e616353335c.png\",\n \"name\": \"Kingdom Development\",\n \"website\": \"https://kingdomcanada.com/\",\n \"path\": \"Builders/zR9k4ao6zQgMJdxqs3Vf\",\n \"objectID\": \"zR9k4ao6zQgMJdxqs3Vf\"\n },\n {\n \"address\": \"29 Floral Parkway, Vaughan, Ontario, L4K 5C5, Canada\",\n \"name\": \"Aspen Ridge Homes\",\n \"listings\": [],\n \"website\": \"www.aspenridgehomes.com/\",\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/02d882d8-051f-4119-b7b1-d66c1b6216df.png\",\n \"path\": \"Builders/zPMV1taAk2v7z561mZqi\",\n \"objectID\": \"zPMV1taAk2v7z561mZqi\"\n },\n {\n \"address\": \"1 Heathcote Avenue, Toronto, Ontario, M2L 1Y6, Canada\",\n \"website\": \"http://inceptionbuilds.com/\",\n \"listings\": [],\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/08d65a01-48fc-40b6-a9a4-37ead001a665.png\",\n \"name\": \"Inception Builds \",\n \"path\": \"Builders/zORZmZicRKOI8s11GrAu\",\n \"objectID\": \"zORZmZicRKOI8s11GrAu\"\n },\n {\n \"address\": \"351 King Street East, Suite 1300, Toronto, Ontario, M5A 2W4, Canada\",\n \"listings\": [\n \"Listings/IIIVXP\",\n \"Listings/GUSTT9\",\n \"Listings/45O0O2\",\n \"Listings/G3BN06\",\n \"Listings/9HP9OH\",\n \"Listings/4R79XO\",\n \"Listings/74L784\",\n \"Listings/A3TO2L\",\n \"Listings/JL20MI\",\n \"Listings/35Z84Z\",\n \"Listings/1HX2HR\",\n \"Listings/WQ82BZ\",\n \"Listings/DYSHUW\",\n \"Listings/LHMWX3\",\n \"Listings/N7FI01\",\n \"Listings/VTW6PH\",\n \"Listings/IUOZ5M\",\n \"Listings/3X6MSC\",\n \"Listings/P7OFCL\",\n \"Listings/7M27MZ\"\n ],\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/13d3ba02-6fc0-4c14-8633-d1117289fa96.png\",\n \"name\": \"Great Gulf\",\n \"website\": \"greatgulf.com\",\n \"path\": \"Builders/zM9HpwU2VeYtShSVdXj4\",\n \"summary\": \"Great Gulf began in 1975 with a belief that we weren’t just building homes but creating spaces. From our first lot in Cambridge, Great Gulf is the residential division of the Great Gulf Group of Companies; a multifaceted company which includes commercial, mixed-use, and residential development, construction management and software, engineered panel manufacturing, architecture, and hospitality, in 18 cities across North America. We’ve come a long way, but while a lot has changed in that time, one thing has not: our unwavering commitment to building spaces that inspire people to live greatly.\",\n \"objectID\": \"zM9HpwU2VeYtShSVdXj4\"\n }\n ],\n \"total\": 419,\n \"page\": 0,\n \"pages\": 84,\n \"perPage\": 5\n }""{\n \"requestId\": \"1675936223634268992-YXdzLWFwLXNvdXRoLTE=-ac3f111584da4f489314e9c6c92790367256926c0f974c11977d1603291b8add\",\n \"message\": \"Forbidden\"\n}""{\n \"requestId\": \"1675932446423783452-YXdzLXVzLWVhc3QtMQ==-0f710a4f3134456ea1ca490d876f436da111ead72ec34fd48a2b4a2e5ed813fa\",\n \"message\": \"No data product found. Please contact your data provider\"\n}""{\n \"message\": \"Error 500\"\n}"Search Profiles
Search for profile details.
Authorizations
Path Parameters
v1-sandbox, v1-lite, v1 all, on, bc, ab, mb, nb, nl, ns, pe, qc, sk Query Parameters
Collection name of the profile to search from. See more info .
, Architects, Builders, InteriorDesigners, Marketers, SalesCentres, SalesCompanies The given search string is searched from listing's name, summary, amenities, cityOrDistrict, streetName, country, neighbourhood. See more info.
Fetch the given page of the results, starts from 0. See more info.
Number of results per page.
Facets to fetch, possible values can be amenities, builders, marketers, etc. It should be comma separated. See more info.
Query to filter the listings. See more info.
Attributes to retrieve. For example: name, summary, builders, etc. It should be comma separated. See more info.
Fields to attach referrences. For example: builders, marketers, etc. It should be comma separated. See more info.
Sort by name
asc for ascending, dsc for descending